import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import BlockCaptionCopy from './block-caption-copy';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {};

export const controls = {
	color: ['backgroundColor', 'copyColor'],
	number: [],
	json: [],
};

<Meta title="Caption Copy" component={BlockCaptionCopy} argTypes={addControls(argTypes, controls)} />

# Caption Copy

This module is used mainly on the product pages.

It is used to display copy in three parts; an initial block of text and two subsequent blocks of text. Each block is laid out as individual columns on desktop devices, while only the first block is displayed on mobile devices.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockCaptionCopy },
		template: '<block-caption-copy v-bind="$props" />',
	};
};

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			addBottomBorder: true,
			addTopBorder: true,
			borderColor: '#979797',
			column1Copy:
				'<p>Pollutants don’t take the day off, so protect your workplace with a professional-grade air purifier that works around the clock.</p>',
			column2Copy:
				'<p>Every day, more businesses trust Molekule to protect indoor air for their customers and employees.</p>',
			column3Copy:
				'<p>With Air Pro, you&#39;ll equip your business with a device designed to protect the air in a wide range of industries.</p>',
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockCaptionCopy} />
